Bug 314553 - Files: Selecting files with selection rectangle selects items on the same page as well
Summary: Files: Selecting files with selection rectangle selects items on the same pag...
Status: RESOLVED FIXED
Alias: None
Product: Active
Classification: Unclassified
Component: Applications (show other bugs)
Version: Integration
Platform: Other Linux
: VHI major (vote)
Target Milestone: PA 4
Assignee: active
URL:
Keywords:
Depends on:
Blocks: 314902
  Show dependency treegraph
 
Reported: 2013-02-06 20:18 UTC by Thomas Pfeiffer
Modified: 2013-03-29 21:58 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Pfeiffer 2013-02-06 20:18:57 UTC
When there is more than one page of files and you select files on the first page with the multitouch selection rectangle, it selects the files at the same position on the second page as well (you can see that when you drag them, the icons for the files on the second page are attached to the cursor as well).

Reproducible: Always

Steps to Reproduce:
1. Select a type of files of which you have enough to fill at least two pages
2. Drag a rectangle to select some of the first files
3. Drag selected files
Actual Results:  
Not only the files within the rectangle but also those at the same position on the second page are selected

Expected Results:  
Only files on visible page are selected
Comment 1 Thomas Pfeiffer 2013-03-26 21:42:31 UTC
I just noticed that this does not only affect pages below, but pages above as well. If you have three pages of a resource type and tag some files on the second page, those at the same position on page one and three get tagged as well.
Comment 2 Marco Martin 2013-03-28 16:58:00 UTC
Git commit 227b9c76ad7e3c329ab82a4db54d58e753eabacd by Marco Martin.
Committed on 28/03/2013 at 17:55.
Pushed by mart into branch 'pa4/criticalfixes'.

map delegate pos to parent

should avoid the second page items to be selected

M  +4    -1    applications/filebrowser/package/contents/ui/BrowserFrame.qml

http://commits.kde.org/plasma-mobile/227b9c76ad7e3c329ab82a4db54d58e753eabacd
Comment 3 Thomas Pfeiffer 2013-03-29 15:20:48 UTC
With current Integration packages, selecting using two fingers does not work anymore at all. You can draw the rectangle, but files beneath it do not get selected.
Comment 4 Thomas Pfeiffer 2013-03-29 15:22:01 UTC
Deleting files works now.
Comment 5 Thomas Pfeiffer 2013-03-29 15:22:44 UTC
Sorry, I had opened the wrong bug. This one still applies (see Comment 3)
Comment 6 Thomas Pfeiffer 2013-03-29 21:58:35 UTC
With latest updates, it works as expected! :)